Page MenuHomePhabricator

Warn the user if they cancel an editor with data in it
Closed, ResolvedPublic

Event Timeline

Mooeypoo created this task.Sep 1 2015, 9:57 PM
Mooeypoo claimed this task.
Mooeypoo raised the priority of this task from to Needs Triage.
Mooeypoo updated the task description. (Show Details)
Mooeypoo added a subscriber: Mooeypoo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2015, 9:57 PM

Change 235383 had a related patch set uploaded (by Mooeypoo):
Add a confirmation dialog for canceling edits

https://gerrit.wikimedia.org/r/235383

Change 235383 merged by jenkins-bot:
Add a confirmation dialog for canceling edits

https://gerrit.wikimedia.org/r/235383

DannyH set Security to None.

The warning is displayed when 'Cancel' is clicked after editing/adding in either VE or wikitext

  • posts

-board description

When the warning is not displayed when

  • canceling 'Summary' edits
  • canceling topic titles edits

Adding two screenshots - VE Cancel popup is slightly different. The browser window size/scale were the same.

Mooeypoo added a subscriber: DannyH.Sep 4 2015, 5:13 PM

When the warning is not displayed when

  • canceling 'Summary' edits
  • canceling topic titles edits

Yes, because the warning right now works only on the new editor widget, and we are in the process of implementing it into "Summary" edits (so there it will come soon)

The topic titles edit aren't using an editor, it's "just" a text input. I can add the confirmation there if you want, but to be honest, I think it's a bit of an overkill there. The point of the dialog is to warn the user when they made a lot of changes -- it makes sense when you have actual text that you may have edited (or added/wrote) significantly but I am not sure if it won't be obtrusive if we pop it up also for the really tiny title edits.

@DannyH should make that call. Adding it there is totally doable if that's what we want.

Adding two screenshots - VE Cancel popup is slightly different. The browser window size/scale were the same.


The differences are mostly in font size. Following our conversation on IRC, I don't think it's that much of a difference. Our message is slightly different because of the operational differences, and the font size is different because in general our fonts seem to be larger than those VE uses.

DannyH added a comment.Sep 4 2015, 5:22 PM

I agree about not popping up the warning just on a title edit.

One thing to make sure of is:
Add a title
Add some text
Go back to the title and make an edit
While the cursor is in the title field, click Cancel

The warning should appear there. You've probably already thought of this, just want to mention it in case.

I don't think there's any value in changing the font size on our warning; I think it's more readable than VE's. Maybe we should talk to them about using ours. :)

I agree about not popping up the warning just on a title edit.
One thing to make sure of is:
Add a title
Add some text
Go back to the title and make an edit
While the cursor is in the title field, click Cancel
The warning should appear there. You've probably already thought of this, just want to mention it in case.

Aye, this *should* happen with the current code. If not, that's a bug.

DannyH closed this task as Resolved.Sep 8 2015, 9:13 PM